
%global meadversion 1.2.6
%global namedversion 1.2.6.RC1-redhat-1
%global meadalpha .RC1_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}taglibs-standard}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.6.RC1-redhat-1

Name:           %{?scl_prefix}tomcat-taglibs-standard
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Standard Taglib
Group:          Development/Java

%if %with mead
Source100: taglibs-standard-1.2.6.RC1-redhat-1-scm-sources.zip
Source102: taglibs-standard-1.2.6.RC1-redhat-1.pom
Source103: taglibs-standard-1.2.6.RC1-redhat-1-project-sources.tar.gz
Source104: taglibs-standard-impl-1.2.6.RC1-redhat-1.jar
Source105: taglibs-standard-impl-1.2.6.RC1-redhat-1.pom
Source106: taglibs-standard-impl-1.2.6.RC1-redhat-1-sources.jar
Source107: taglibs-build-tools-1.2.6.RC1-redhat-1-sources.jar
Source108: taglibs-build-tools-1.2.6.RC1-redhat-1.pom
Source109: taglibs-build-tools-1.2.6.RC1-redhat-1.jar
Source110: taglibs-standard-spec-1.2.6.RC1-redhat-1.jar
Source111: taglibs-standard-spec-1.2.6.RC1-redhat-1-sources.jar
Source112: taglibs-standard-spec-1.2.6.RC1-redhat-1.pom
Source113: taglibs-standard-jstlel-1.2.6.RC1-redhat-1.jar
Source114: taglibs-standard-jstlel-1.2.6.RC1-redhat-1-sources.jar
Source115: taglibs-standard-jstlel-1.2.6.RC1-redhat-1.pom
Source116: taglibs-standard-compat-1.2.6.RC1-redhat-1.pom
Source117: taglibs-standard-compat-1.2.6.RC1-redhat-1-sources.jar
Source118: taglibs-standard-compat-1.2.6.RC1-redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://tomcat.apache.org/taglibs/standard-${project.version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
An implementation of the JSP Standard Tag Library (JSTL).

%package -n %{?scl_prefix}taglibs-build-tools
Summary:        Apache Standard Taglib Build Tools
Group:          Development/Java


%description -n %{?scl_prefix}taglibs-build-tools
Build tool settings common to all Standard Taglib modules.

%package -n %{?scl_prefix}taglibs-standard-spec
Summary:        Apache Standard Taglib Specification API
Group:          Development/Java


%description -n %{?scl_prefix}taglibs-standard-spec
An implementation of the JSP Standard Tag Library (JSTL) Specification API.

%package -n %{?scl_prefix}taglibs-standard-impl
Summary:        Apache Standard Taglib Implementation
Group:          Development/Java


%description -n %{?scl_prefix}taglibs-standard-impl
An implementation of the JSP Standard Tag Library (JSTL).

%package -n %{?scl_prefix}taglibs-standard-compat
Summary:        Apache Standard Taglib 1.0 Compatibility
Group:          Development/Java

Requires:       %{?scl_prefix_eap}taglibs-standard-spec = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}taglibs-standard-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}taglibs-standard-compat
Supports JSTL 1.0 tags using the Servlet container's EL implementation.

%package -n %{?scl_prefix}taglibs-standard-jstlel
Summary:        Apache Standard Taglib 1.0 EL Support
Group:          Development/Java

Requires:       %{?scl_prefix_eap}taglibs-standard-spec = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}taglibs-standard-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}taglibs-standard-jstlel
Support JSTL 1.0 tags using the original EL implementation.

%if %with javadoc
%package javadoc
Summary:        Javadoc for taglibs-standard
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n taglibs-standard -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/taglibs-build-tools-%{namedversion}.jar %{buildroot}%{_javadir}/taglibs-build-tools-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/taglibs-build-tools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/taglibs-build-tools-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/taglibs-build-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/taglibs-build-tools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglibs-standard-spec-%{namedversion}.jar %{buildroot}%{_javadir}/taglibs-standard-spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/taglibs-standard-spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/taglibs-standard-spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/taglibs-standard-spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/taglibs-standard-spec-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglibs-standard-impl-%{namedversion}.jar %{buildroot}%{_javadir}/taglibs-standard-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/taglibs-standard-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/taglibs-standard-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/taglibs-standard-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/taglibs-standard-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglibs-standard-compat-%{namedversion}.jar %{buildroot}%{_javadir}/taglibs-standard-compat-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/taglibs-standard-compat-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/taglibs-standard-compat-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/taglibs-standard-compat-%{namedversion}-sources.jar %{buildroot}%{_javadir}/taglibs-standard-compat-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglibs-standard-jstlel-%{namedversion}.jar %{buildroot}%{_javadir}/taglibs-standard-jstlel-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/taglibs-standard-jstlel-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/taglibs-standard-jstlel-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/taglibs-standard-jstlel-%{namedversion}-sources.jar %{buildroot}%{_javadir}/taglibs-standard-jstlel-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/taglibs-standard-%{namedversion}
unzip -qq %{_sourcedir}/taglibs-standard-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/taglibs-standard-%{namedversion} -x META-INF/\*
%{__ln_s} taglibs-standard-%{namedversion} %{buildroot}%{_javadocdir}/taglibs-standard
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}taglibs-build-tools
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE NOTICE README_bin.txt README_src.txt RELEASING.txt
%{_javadir}/taglibs-build-tools-%{namedversion}.jar
%{_javadir}/taglibs-build-tools.jar
%if %with javadoc
%{_javadir}/taglibs-build-tools-%{namedversion}-javadoc.jar
%{_javadir}/taglibs-build-tools-javadoc.jar
%endif
%{_javadir}/taglibs-build-tools-%{namedversion}-sources.jar
%{_javadir}/taglibs-build-tools-sources.jar

%files -n %{?scl_prefix}taglibs-standard-spec
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE NOTICE README_bin.txt README_src.txt RELEASING.txt
%{_javadir}/taglibs-standard-spec-%{namedversion}.jar
%{_javadir}/taglibs-standard-spec.jar
%if %with javadoc
%{_javadir}/taglibs-standard-spec-%{namedversion}-javadoc.jar
%{_javadir}/taglibs-standard-spec-javadoc.jar
%endif
%{_javadir}/taglibs-standard-spec-%{namedversion}-sources.jar
%{_javadir}/taglibs-standard-spec-sources.jar

%files -n %{?scl_prefix}taglibs-standard-impl
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE NOTICE README_bin.txt README_src.txt RELEASING.txt
%{_javadir}/taglibs-standard-impl-%{namedversion}.jar
%{_javadir}/taglibs-standard-impl.jar
%if %with javadoc
%{_javadir}/taglibs-standard-impl-%{namedversion}-javadoc.jar
%{_javadir}/taglibs-standard-impl-javadoc.jar
%endif
%{_javadir}/taglibs-standard-impl-%{namedversion}-sources.jar
%{_javadir}/taglibs-standard-impl-sources.jar

%files -n %{?scl_prefix}taglibs-standard-compat
%defattr(0644,root,root,0755)
%{_javadir}/taglibs-standard-compat-%{namedversion}.jar
%{_javadir}/taglibs-standard-compat.jar
%if %with javadoc
%{_javadir}/taglibs-standard-compat-%{namedversion}-javadoc.jar
%{_javadir}/taglibs-standard-compat-javadoc.jar
%endif
%{_javadir}/taglibs-standard-compat-%{namedversion}-sources.jar
%{_javadir}/taglibs-standard-compat-sources.jar

%files -n %{?scl_prefix}taglibs-standard-jstlel
%defattr(0644,root,root,0755)
%{_javadir}/taglibs-standard-jstlel-%{namedversion}.jar
%{_javadir}/taglibs-standard-jstlel.jar
%if %with javadoc
%{_javadir}/taglibs-standard-jstlel-%{namedversion}-javadoc.jar
%{_javadir}/taglibs-standard-jstlel-javadoc.jar
%endif
%{_javadir}/taglibs-standard-jstlel-%{namedversion}-sources.jar
%{_javadir}/taglibs-standard-jstlel-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE NOTICE README_bin.txt README_src.txt RELEASING.txt
%{_javadocdir}/taglibs-standard-%{namedversion}
%{_javadocdir}/taglibs-standard
%endif

%changelog
* Tue May 23 2017 David Walluck <dwalluck@redhat.com> - 1.2.6-1.RC1_redhat_1.1
- fix doc

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 1.2.6-1.RC1_redhat_1.1
- upgrade to 1.2.6.RC1-redhat-1

* Fri Dec 02 2016 David Walluck <dwalluck@redhat.com> - 1.2.5-2.redhat_1.1
- fix Requires

* Wed Nov 30 2016 David Walluck <dwalluck@redhat.com> - 1.2.5-1.redhat_1.1
- fix package name

* Wed Nov 30 2016 David Walluck <dwalluck@redhat.com> - 1.2.5-1.redhat_1.1
- release

